%define debug_package	%{nil}

%define oname	elisa-plugins-good

%define rel	1

%define svn	0
%define pre	0
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define dirname		%oname
%else
%if %pre
%define release		%mkrel 0.%pre.%rel
%define distname	%name-%version.%pre.tar.gz
%define dirname		%oname-%version.%pre
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%oname-%version
%endif
%endif

Summary:	'Good' plugins for the Moovida media center
Name:		moovida-plugins-good
Version:	1.0.9
Release:	%{release}
Source0:	http://www.moovida.com/media/public/%{distname}
License:	GPLv3
Group:		Development/Python
URL:		http://www.moovida.com/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python
BuildRequires:	python-setuptools
BuildRequires:	python-devel
BuildRequires:	python-twisted
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gstreamer0.10-python
BuildRequires:	moovida-core = %{version}
Requires:	moovida = %{version}
# For UPnP support
Suggests:	python-coherence
# For the weather report plugin
Suggests:	python-pymetar
Provides:	elisa-plugins-good = %{version}-%{release}
Obsoletes:	elisa-plugins-good < %{version}-%{release}

%description
Moovida is a project to create an open source cross platform media center 
solution. This package contains 'good' (well-written and legally clean)
plugins for Moovida.

%prep
%setup -q -n %{dirname}

%build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --single-version-externally-managed --compile --optimize=2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{py_puresitedir}/elisa/plugins/*
%{py_puresitedir}/elisa_plugin_*-py%{pyver}.egg-info
%{py_puresitedir}/elisa_plugin_*-py%{pyver}-nspkg.pth



%changelog
* Sun Dec 27 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.9-1mdv2010.1
+ Revision: 482873
- update to new version 1.0.9

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.8-1mdv2010.1
+ Revision: 462186
- update to new version 1.0.8

* Tue Sep 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.7-1mdv2010.0
+ Revision: 443282
- update to new version 1.0.7

* Mon Aug 17 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.6-1mdv2010.0
+ Revision: 417444
- update to new version 1.0.6

* Sun Jul 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.5-1mdv2010.0
+ Revision: 397228
- update to new version 1.0.5

* Wed Jun 10 2009 Adam Williamson <awilliamson@mandriva.org> 1.0.2-1mdv2010.0
+ Revision: 384660
- new release 1.0.2

* Fri May 29 2009 Adam Williamson <awilliamson@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 380770
- more elisa -> moovida cleanup
- import moovida-plugins-good


